ACL Robotics System Requirements

System Requirements

Access to HighBond apps requires a subscription and a supported browser.

SUPPORTED BROWSERS

The current versions of:

  • Microsoft Edge
  • Google Chrome
  • Mozilla Firefox
  • Safari

BROWSER SIZE

HighBond may not work on mobile browsers. For the best experience, we recommend a browser width of 1280 pixels and up.

AD BLOCKERS

Sometimes, ad blockers prevent HighBond from displaying tutorials, tool tips, and announcements. You can use HighBond with an ad blocker, but to ensure you have full access to all information in the platform, we recommend adding highbond.com as a trusted site in your ad blocker.

ON-PREMISE ROBOTS AGENT SYSTEM REQUIREMENTS

Before installing an on-premise Robots Agent, make sure that the server on which the Robots Agent will be installed meets the hardware and software requirements outlined below.

HARDWARE REQUIREMENT

Processor, memory, and hard disk requirements for production systems depend on the following factors:

  • the number of concurrent users and their usage profiles
  • the size of the data payload
  • the desired response times

REQUIREMENT

ADDITIONAL INFORMATION

Windows Server operating system

One of the following operating systems (64 bit):

  • Windows Server 2019
  • Windows Server 2016 (Edition: Essentials or Standard)
  • Windows Server 2012 R2 (Edition: Essentials or Standard)

Recommended: Windows Server 2019

R, 64-bit (optional)

To use Analytics functions that integrate with the R programming language, you must install and configure R.

The following versions of R have been tested and work with the Robots Agent:

  • 4.0.3
  • 3.4.4
  • 3.3.2
  • 3.3.1
  • 3.2.5
  • 3.2.3

You can use either CRAN R or Microsoft R.

Note

Other versions of R may work as well. However, they are not guaranteed to work.

If you are using one of the CRAN R packages, you may need to add the path to the R binary folder to the PATH environment variable on the server.

 

For example: C:\Program Files\R\R-<version>\bin\x64

 

Note

You do not need to install R if you do not intend to use the Analytics R functions or RCOMMAND.

Note

Two optional features of Analytics require installing two separate instances of Python:

  • Analytics Python functions - require a customer-installed instance of Python
  • Analytics machine learning commands - require an instance of Python that can be installed as part of the Robots Agent installation

Python, 32-bit (optional)

To use Analytics functions that integrate with the Python programming language, you must install and configure:

  • Python
  • PYTHONPATH environment variable
  • ACLPYTHONDLL environment variable

The following versions of Python have been tested and work with the Robots Agent:

  • 3.4
  • 3.5
  • 3.6

Note

Any version of Python from 3.4.x onward should work with the Robots Agent. However, versions other than those listed are not guaranteed to work.

 

Python, 32-bit (optional)

To enable Analytics machine learning commands, you must install:

  • Python engine for Analytics (3.7.9)

 

 

If you select the Enable machine learning (install Python engine for Analytics) check box during Robots Agent installation, the installer installs the Python engine for Analytics.

Note

This instance of Python is not intended for use with the Analytics Python functions, or for general Python use. You must install a separate instance of Python for these purposes.

Oracle Instant Client (optional)

To use the ACL Connector for Oracle, you must install:

·       Oracle Instant Client 11g or 12c

 

 

 

  • You do not need to install Oracle Instant Client if you do not intend to use the ACL Connector for Oracle.
  • The bitness of Oracle Instant Client must match the operating system's bitness. If the 32-bit Instant Client is installed on a 64-bit machine, the connection fails.
  • If you install the Oracle Instant Client after the Robots Agent, you must restart the Robots Agent Windows service before you can use the connector.

 

AUTOMATICALLY INSTALLED SOFTWARE PREREQUISITES

If the following software prerequisites are not already installed on the server, they are automatically installed by the Robots Agent installer:

  • Microsoft .NET Framework 4.6.2

Note

If the server already has .NET 4.6.0 or 4.6.1, the Robots Agent uses the installed version of .NET and does not install version 4.6.2.

  • Microsoft Visual C++ 2015-2019 Redistributable Package (x64 and x86)
  • Microsoft Visual C++ 2013 Redistributable Package (x64) (only if optional data connectors are installed)
  • Microsoft Visual C++ 2012 Redistributable Package (x64) (only if optional data connectors are installed)
  • Microsoft Access Database Engine 2016 (32-bit)

REQUIREMENTS CONTAINED IN THE ROBOTS AGENT INSTALLATION DIRECTORY

Local copies of the following components are installed with the Robots Agent and contained in the Robots Agent installation directory:

  • Python Engine 3.7.9 and TPOT 0.10.2 – used by the Analytics machine learning commands

STANDARD DATA CONNECTORS

The following data connectors are installed by default when installing Robots Agent:

Big Data and NoSQL

  • Amazon Athena
  • Azure Data Catalog
  • Azure Data Lake Storage
  • Azure Table
  • Parquet
  • Presto
  • Snowflake

ERP and CRM systems

  • Dynamics 365 Business Central
  • Dynamics 365 Finance and Operations
  • Dynamics 365 Sales
  • Dynamics CRM
  • Epicor ERP
  • Exact Online
  • NetSuite
  • SAP
  • SAP ByDesign
  • ServiceNow
  • SugarCRM

Accounting tools

  • Dynamics GP
  • Dynamics NAV
  • QuickBooks
  • QuickBooks Online
  • QuickBooks POS
  • Sage 50 UK
  • Sage Cloud Accounting
  • Sage Intacct
  • SAP Concur

Marketing and analytics

  • Google Analytics
  • LinkedIn
  • Marketo
  • Oracle Eloqua
  • Oracle Sales Cloud
  • Splunk
  • SurveyMonkey
  • Twitter

Collaboration solutions

  • Active Directory
  • Airtable
  • AWS Data Management
  • Azure Management
  • DocuSign
  • Email
  • Excel
  • Excel Online
  • Exchange
  • Google Contacts
  • Google Sheets
  • Jira
  • SAP SuccessFactors
  • SharePoint
  • Slack
  • Zendesk

File and API integration

  • Amazon S3
  • Box
  • CSV
  • DigitalOcean
  • Dropbox
  • Google Drive
  • JSON
  • LDAP
  • Microsoft OneDrive
  • OData
  • REST
  • RSS/ATOM
  • SFTP

E-commerce solutions

  • Edgar Online
  • Open Exchange Rates
  • Square
  • Stripe
  • UPS
  • USPS

Relational databases

  • Azure Analysis Services
  • Microsoft Access
  • MySQL
  • SAP Hybris Cloud for Customer
  • Sybase
  • Sybase IQ
  • xBase

Security tools

  • Qualys
  • Tenable.sc

Other connectors

  • Rsam

 

OPTIONAL DATA CONNECTORS

The following data connectors are optional, and you can opt to not install these when installing Robots Agent.

  • Amazon Redshift
  • Cassandra
  • Concur
  • Couchbase
  • Drill
  • DynamoDB
  • Google BigQuery
  • HBase
  • Hive
  • Impala
  • MongoDB
  • Oracle
  • Salesforce
  • Spark
  • SQL Server
  • Teradata